[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumn.GetDefaultValueChecked

Gets the default value for a check box in the Checked state as a String.

## Declaration

Source position: dbgrids.pas line 273

`protected function TColumn.GetDefaultValueChecked: string; override;`

## Function result

'TRUE' or '1'

## Description

GetDefaultValueChecked is an overridden String function used to get the default value used for a check box column in the Checked state. When Field has been assigned for the column, and the data type is ftBoolean, the return value is 'TRUE'. If Field has not been assigned, the return value is '1'.